View Issue Details

IDProjectCategoryView StatusLast Update
0001988SOGo ConnectorGUIpublic2012-12-06 13:55
Reportern00b42 Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version10.0.2 
Fixed in Version10.0.3 
Summary0001988: Can't delete/"unsubscribe" remote addressbook from Thunderbird
Description

I created an address book, added it in TB, worked fine.
But when i rightclick the address book and click "delete" to remove it from ThunderBird, nothing happens.

Additional Information

TB 15.0.1

TagsNo tags attached.

Activities

n00b42

n00b42

2012-09-20 21:03

reporter   ~0004525

Updated, problem still present in 10.0.3

jweberhofer

jweberhofer

2012-10-04 09:28

reporter   ~0004611

There must have been a change between Thunderbird 10 and 15. From the logs:

Error: An error occurred executing the button_delete command: [Exception... "'[JavaScript Error: "gPrefs is not defined" {file: "chrome://sogo-connector/content/addressbook/addressbook.groupdav.overlay.js" line: 548}]' when calling method: [nsIController::doCommand]" nsresult: "0x80570021 (NS_ERROR_XPC_JAVASCRIPT_ERROR_WITH_DETAILS)" location: "JS frame :: chrome://global/content/globalOverlay.js :: goDoCommand :: line 102" data: yes]
Quelldatei: chrome://global/content/globalOverlay.js
Zeile: 106

n00b42

n00b42

2012-10-12 19:35

reporter   ~0004631

Updated TB, problem still present with TB 16.0.1

Christian Mack

Christian Mack

2012-10-15 04:24

developer   ~0004652

I can reproduce this too.

And I found a workaround:
You have in Thunderbird to go to "Edit" --> "Preferences..." --> "Advanced" --> "General" --> "Config Editor".
Accept "I'll be careful, I promise!".
Then search for "invers".

Now choose the matching "extensions.ca.inverse.addressbook.groupdav.ldap_2.servers.SOGoTestadressen.url" for the addressbook to delete, right click on it and choose "Reset".

Close "about:config" and "Thunderbird Preferences" windows.

Now you can delete this addressbook with right click and "Delete".

Firefighter

Firefighter

2012-11-21 15:04

reporter   ~0004962

Last edited: 2012-11-21 15:05

There is a pull request for sogo connector for Tb10 ( https://github.com/inverse-inc/sogo-connector.tb10/pull/1 ) as well as for Tb17 ( https://github.com/inverse-inc/sogo-connector.tb17/pull/1 ) which fixes this problem.

ludovic

ludovic

2012-12-06 13:55

administrator   ~0005045

The pull request has been included.

Issue History

Date Modified Username Field Change
2012-09-20 20:57 n00b42 New Issue
2012-09-20 21:03 n00b42 Note Added: 0004525
2012-10-04 09:28 jweberhofer Note Added: 0004611
2012-10-12 19:35 n00b42 Note Added: 0004631
2012-10-15 04:24 Christian Mack Note Added: 0004652
2012-11-21 15:04 Firefighter Note Added: 0004962
2012-11-21 15:04 Firefighter Note Edited: 0004962
2012-11-21 15:05 Firefighter Note Edited: 0004962
2012-12-06 13:55 ludovic Note Added: 0005045
2012-12-06 13:55 ludovic Status new => closed
2012-12-06 13:55 ludovic Resolution open => fixed
2012-12-06 13:55 ludovic Fixed in Version => 10.0.3